Get the User
GET
https://api.vercel.com/v2/userRetrieves information related to the currently authenticated User.
https://api.vercel.com/v2/user
const response = await fetch('https://api.vercel.com/v2/user', { method: 'GET', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', },});
const data = await response.json();console.log(data);Response
{ "user": { "accountUpdateContext": { "canOptOut": "false", "managedTeams": [ { "avatar": "string", "name": "Example Name", "slug": "string", "teamId": "example_id", "workEmail": "user@example.com" } ], "organization": { "id": "icfg_1234567890", "name": "Example Name", "slug": "string" }, "verifiedEmuDomains": [] }, "activeDashboardViews": [ { "favoritesViewPreference": "closed", "recentsViewPreference": "closed", "scopeId": "example_id", "viewPreference": "cards" } ], "avatar": "22cb30c85ff45ac4c72de8981500006b28114aa1", "billing": "value", "createdAt": "1630748523395", "dataCache": { "excessBillingEnabled": "false" }, "defaultTeamId": "example_id", "dismissedToasts": [ { "dismissals": [ { "createdAt": "123", "scopeId": "example_id" } ], "name": "Example Name" } ], "email": "me@example.com", "favoriteProjectsAndSpaces": [ { "projectId": "example_id", "teamId": "example_id" } ], "featureBlocks": { "speedInsightsFree": { "blockedFrom": "123", "blockedUntil": "123", "blockReason": "admin_override", "isCurrentlyBlocked": "false" }, "webAnalytics": { "blockedFrom": "123", "blockedUntil": "123", "isCurrentlyBlocked": "false" } }, "hasTrialAvailable": "false", "id": "AEIIDYVk59zbFF2Sxfyxxmua", "importFlowGitNamespace": "Example Name", "importFlowGitNamespaceId": "Example Name", "importFlowGitProvider": "bitbucket", "isAccountUpdateRequired": "false", "isEnterpriseManaged": "false", "name": "John Doe", "preferredScopesAndGitNamespaces": [ { "gitNamespaceId": "Example Name", "scopeId": "example_id" } ], "remoteCaching": { "enabled": "false" }, "resourceConfig": { "awsAccountIds": [], "awsAccountType": "string", "blobStores": "123", "buildEntitlements": { "enhancedBuilds": "false" }, "buildQueue": { "configuration": "SKIP_NAMESPACE_QUEUE" }, "bulkRedirectsFreeLimitOverride": "123", "cfZoneName": "Example Name", "concurrentBuilds": "123", "cronJobsPerProject": "123", "customEnvironmentsPerProject": "123", "edgeConfigs": "123", "edgeConfigSize": "123", "edgeFunctionExecutionTimeoutMs": "123", "edgeFunctionMaxSizeBytes": "123", "elasticConcurrencyEnabled": "false", "flagsExplorerOverridesThreshold": "123", "flagsExplorerUnlimitedOverrides": "false", "imageOptimizationType": "string", "integrationStores": "123", "kvDatabases": "123", "microfrontendGroupsPerTeam": "123", "microfrontendProjectsPerGroup": "123", "nodeType": "string", "postgresDatabases": "123", "security": { "customRules": "123", "ipBlocks": "123", "ipBypass": "123", "rateLimit": "123", "securityLists": "123", "teamLevelConditions": "123", "teamLevelRules": "123", "teamLevelRulesets": "123" }, "serverlessFunctionMaxDuration": "123", "serverlessFunctionMaxMemorySize": "123" }, "shouldShowEnterpriseManagedWelcome": "false", "softBlock": { "blockedAt": "123", "blockedDueToOverageType": "analyticsUsage", "reason": "BLOCKED_FOR_PLATFORM_ABUSE", "unpauseAt": "123" }, "stagingPrefix": "string", "username": "jdoe" }}AuthorizationbearerToken
Default authentication mechanism